Skip to main content
PUT
/
api
/
v1
/
notifications
/
preferences
Update Preferences
curl --request PUT \
  --url https://api.example.com/api/v1/notifications/preferences \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email_enabled": true,
  "personal_email": "jsmith@example.com",
  "whatsapp_enabled": false,
  "whatsapp_number": "<string>",
  "notify_on_reply": true,
  "notify_on_bounce": false,
  "notify_on_complaint": false
}
'
import requests

url = "https://api.example.com/api/v1/notifications/preferences"

payload = {
"email_enabled": True,
"personal_email": "jsmith@example.com",
"whatsapp_enabled": False,
"whatsapp_number": "<string>",
"notify_on_reply": True,
"notify_on_bounce": False,
"notify_on_complaint": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email_enabled: true,
personal_email: 'jsmith@example.com',
whatsapp_enabled: false,
whatsapp_number: '<string>',
notify_on_reply: true,
notify_on_bounce: false,
notify_on_complaint: false
})
};

fetch('https://api.example.com/api/v1/notifications/preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "email_enabled": true,
  "whatsapp_enabled": true,
  "notify_on_reply": true,
  "notify_on_bounce": true,
  "notify_on_complaint": true,
  "personal_email": "<string>",
  "whatsapp_number": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
email_enabled
boolean
default:true
personal_email
string<email> | null
whatsapp_enabled
boolean
default:false
whatsapp_number
string | null
notify_on_reply
boolean
default:true
notify_on_bounce
boolean
default:false
notify_on_complaint
boolean
default:false

Response

Successful Response

email_enabled
boolean
required
whatsapp_enabled
boolean
required
notify_on_reply
boolean
required
notify_on_bounce
boolean
required
notify_on_complaint
boolean
required
personal_email
string | null
whatsapp_number
string | null